<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celVariableParameterBlock Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">celVariableParameterBlock Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celVariableParameterBlock" --><!-- doxytag: inherits="scfImplementation1&lt; celVariableParameterBlock, iCelParameterBlock &gt;" -->
<p>Variable parameter block implementation.  
 <a href="classcelVariableParameterBlock.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="stdparams_8h_source.html">celtool/stdparams.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celVariableParameterBlock:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcelVariableParameterBlock.png" usemap="#celVariableParameterBlock_map" alt=""/>
  <map id="celVariableParameterBlock_map" name="celVariableParameterBlock_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation1.html" alt="scfImplementation1&lt; celVariableParameterBlock, iCelParameterBlock &gt;" shape="rect" coords="426,112,842,136"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation.html" alt="scfImplementation&lt; Class &gt;" shape="rect" coords="426,56,842,80"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,416,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationHelper.html" alt="scfImplementationHelper" shape="rect" coords="426,0,842,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classCS_1_1Memory_1_1CustomAllocated.html" alt="CS::Memory::CustomAllocated" shape="rect" coords="852,0,1268,24"/>
<area href="classcelMappedParameterBlock.html" title="Parameter block implementation which supports parameter mapping and expressions." alt="celMappedParameterBlock" shape="rect" coords="426,224,842,248"/>
</map>
 </div></div>

<p><a href="classcelVariableParameterBlock-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelVariableParameterBlock.html#ae92cba5489c2d2352314dae41b92cb11">celVariableParameterBlock</a> (<a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *other)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#ae92cba5489c2d2352314dae41b92cb11"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Variable parameter block implementation. </p>

<p>Definition at line <a class="el" href="stdparams_8h_source.html#l00167">167</a> of file <a class="el" href="stdparams_8h_source.html">stdparams.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae92cba5489c2d2352314dae41b92cb11"></a><!-- doxytag: member="celVariableParameterBlock::celVariableParameterBlock" ref="ae92cba5489c2d2352314dae41b92cb11" args="(iCelParameterBlock *other)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">celVariableParameterBlock::celVariableParameterBlock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Copy constructor. </p>

<p>Definition at line <a class="el" href="stdparams_8h_source.html#l00181">181</a> of file <a class="el" href="stdparams_8h_source.html">stdparams.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>celtool/<a class="el" href="stdparams_8h_source.html">stdparams.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
